FreeMat

- Main Page
- Related Pages

vtkGraphWriter

Section: Visualization Toolkit IO Classes

# Usage

vtkGraphWriter is a sink object that writes ASCII or binary vtkGraph data files in vtk format. See text for format details.

To create an instance of class vtkGraphWriter, simply invoke its constructor as follows

      obj = vtkGraphWriter

# Methods

The class vtkGraphWriter has several methods that can be used. They are listed below. Note that the documentation is translated automatically from the VTK sources, and may not be completely intelligible. When in doubt, consult the VTK website. In the methods listed below, `obj` is an instance of the vtkGraphWriter class.

- `string = obj.GetClassName ()`
- `int = obj.IsA (string name)`
- `vtkGraphWriter = obj.NewInstance ()`
- `vtkGraphWriter = obj.SafeDownCast (vtkObject o)`
- `vtkGraph = obj.GetInput ()` - Get the input to this writer.
- `vtkGraph = obj.GetInput (int port)` - Get the input to this writer.